Subject: [Emu] RFC 2759 Issue

From: Bernard Aboba <[email-masked]>
Date: Wed, 11 Mar 2009 16:05:33 -0700

RFC 2759 Section 4 states:

"   The Name field is a string of 0 to (theoretically) 256 case-sensitive ASCII characters which identifies the peer's user account name."

This text, if taken literally, would imply that the name field cannot natively support international character sets.  

Yet tests show that 8-bit characters can be (and are) sent.  From a cryptographic point of view, the Name field appears to be treated as opaque octets.   While existing Windows implementations appear to encoding the Name field using ANSI code pages,  from a protocol point of view it would appear that a peer and server configured with a Name field encoded in UTF-8 should be able to communicate.   

Therefore, a potential correction to this sentence is the following:

"The Name field is a string of 0 to (theoretically) 256 octets identifying the peer's user account name.  Implementations SHOULD treat the Name field as opaque octets." 

 EMAILING FOR THE LESSER EVIL
Join me